Bug 98800 - Update port: sysutils/graveman to 0.3.12.5
Summary: Update port: sysutils/graveman to 0.3.12.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-11 11:40 UTC by Li-Lun Wang
Modified: 2006-06-30 01:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.17 KB, patch)
2006-06-11 11:40 UTC, Li-Lun Wang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Lun Wang 2006-06-11 11:40:10 UTC
* Update to 0.3.12.5
* Define USE_GETTEXT
* Port maintainer CC'd

Modified files:
  sysutils/graveman	Makefile distinfo
  sysutils/graveman/files	patch-man_Makefile.in
Comment 1 Edwin Groothuis freebsd_committer 2006-06-11 11:44:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Li-Lun Wang 2006-06-11 13:02:41 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Please use the following patch instead, which fixes one more bug. Thanks.

- - Update to 0.3.12.5
- - Define USE_GETTEXT
- - *Fix hang on --scan_drives*
- - Port maintainer CC'd

Added files:
  sysutils/graveman/files	patch-src_cdrecord.c

Modified files:
  sysutils/graveman	Makefile distinfo
  sysutils/graveman/files	patch-man_Makefile.in

diff -urN graveman.orig/Makefile graveman/Makefile
- --- graveman.orig/Makefile	Sun Nov 13 01:52:35 2005
+++ graveman/Makefile	Sun Jun 11 05:21:12 2006
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=	graveman
- -PORTVERSION=	0.3.12
+PORTVERSION=	0.3.12.5
 CATEGORIES=	sysutils
 MASTER_SITES=	http://graveman.tuxfamily.org/sources/
- -DISTNAME=	${PORTNAME}-${PORTVERSION}-4
+DISTNAME=	${PORTNAME}-${PORTVERSION:C/\.(.)$/-\1/}
 
 MAINTAINER=	toxa@toxahost.ru
 COMMENT=	Another GTK2 frontend for cdrecord, mkisofs, readcd and sox
@@ -19,6 +19,7 @@
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
+USE_GETTEXT=	yes
 GNU_CONFIGURE=	yes
 USE_X_PREFIX=	yes
 USE_GNOME=	libglade2 intlhack gnomehack gnomeprefix
diff -urN graveman.orig/distinfo graveman/distinfo
- --- graveman.orig/distinfo	Sun Nov 13 01:52:35 2005
+++ graveman/distinfo	Sun Jun 11 05:04:21 2006
@@ -1,3 +1,3 @@
- -MD5 (graveman-0.3.12-4.tar.bz2) = 2b1b807fc60f27ea58d83a5d28a9c6bf
- -SHA256 (graveman-0.3.12-4.tar.bz2) = bcd6ea50caed63c481d7c6f602966624b4d0290946d9fe15bb7a387bfae5149b
- -SIZE (graveman-0.3.12-4.tar.bz2) = 775383
+MD5 (graveman-0.3.12-5.tar.bz2) = c9c80782282c6699effa91d1a806723b
+SHA256 (graveman-0.3.12-5.tar.bz2) = 35b300d565548a4cab9942a0740b3dd543ed0d4cf53b06f4889f4f1999197d6d
+SIZE (graveman-0.3.12-5.tar.bz2) = 780870
diff -urN graveman.orig/files/patch-man_Makefile.in graveman/files/patch-man_Makefile.in
- --- graveman.orig/files/patch-man_Makefile.in	Sat Nov 12 11:34:35 2005
+++ graveman/files/patch-man_Makefile.in	Sun Jun 11 05:09:59 2006
@@ -1,6 +1,6 @@
- ---- man/Makefile.in.bak	Tue May 31 02:08:30 2005
- -+++ man/Makefile.in	Sat Nov 12 01:53:11 2005
- -@@ -329,12 +329,7 @@
+--- man/Makefile.in.orig	Mon Jun  5 20:33:45 2006
++++ man/Makefile.in	Sun Jun 11 05:09:22 2006
+@@ -332,12 +332,7 @@
  	@true
  
  install:
@@ -10,7 +10,7 @@
 -			${INSTALL_DATA} -D "${srcdir}/graveman.$$lang.man" "${DESTDIR}${mandir}/$$lang/${mansubdir}/graveman.1"; \
 -		done \
 -	fi
- -+	${INSTALL_DATA} graveman.man ${DESTDIR}${mandir}/${mansubdir}/graveman.1 
++	${BSD_INSTALL_MAN} graveman.man ${DESTDIR}${mandir}/${mansubdir}/graveman.1 ; \
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
  # Otherwise a system limit (for SysV at least) may be exceeded.
  .NOEXPORT:
diff -urN graveman.orig/files/patch-src_cdrecord.c graveman/files/patch-src_cdrecord.c
- --- graveman.orig/files/patch-src_cdrecord.c	Wed Dec 31 18:00:00 1969
+++ graveman/files/patch-src_cdrecord.c	Sun Jun 11 06:53:35 2006
@@ -0,0 +1,17 @@
+--- src/cdrecord.c.orig	Fri May 27 19:37:14 2005
++++ src/cdrecord.c	Sun Jun 11 06:53:32 2006
+@@ -187,7 +187,13 @@
+   }
+   
+   Lstatus = g_io_channel_read_line(Astd, &Lbuffer, NULL, NULL, NULL);  
+-  if (!Lbuffer) return TRUE;
++  if (!Lbuffer) {
++    if (Lstatus == G_IO_STATUS_EOF) {
++      *Lcont = 2;
++      return FALSE;
++    } else
++      return TRUE;
++  }
+     
+   g_strstrip(Lbuffer);  
+ _DEB("scan lecteur = %s\n", Lbuffer);
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (FreeBSD)

iD8DBQFEjAZfCQM7t5B2mhARAj3UAJ9r5pT6Coo2t6iF3LSNeQbD3caLPgCfdxgt
i1BPTHOgP6Zjl1vRHSqisOo=
=ZV3R
-----END PGP SIGNATURE-----
Comment 3 Anton Karpov 2006-06-29 12:12:50 UTC
On Sun, Jun 11, 2006 at 08:02:41PM +0800, Li-Lun Wang (Leland Wang) wrote:
> Please use the following patch instead, which fixes one more bug. Thanks.
> 
> - Update to 0.3.12.5
> - Define USE_GETTEXT
> - *Fix hang on --scan_drives*
> - Port maintainer CC'd
> 
> Added files:
>   sysutils/graveman/files	patch-src_cdrecord.c
> 
> Modified files:
>   sysutils/graveman	Makefile distinfo
>   sysutils/graveman/files	patch-man_Makefile.in
> 



Seems ok, thank you for the contribution!
PS: Sorry for the delay in answer, I was on vacations

-- 
Anton A. Karpov

WWW:  http://www.toxahost.ru
PGP Key ID: A21386F2
=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=
Linux is something for Windows haters,
BSD is something for Unix lovers.
=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=
Comment 4 Rong-En Fan freebsd_committer 2006-06-29 12:57:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 5 Rong-En Fan freebsd_committer 2006-06-30 01:47:10 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!